<?php 
/*
 * Copyright (c) Codiad, Thomas Perschke, distributed
    as-is and without warranty under the MIT License. 
    See http://opensource.org/licenses/MIT for more information.
    This information must remain intact.
*/
	
    require_once('../../common.php');
    checkSession();
	
	require_once('./functions.php');
	require_once('../../components/user/class.user.php');
	
?>	
	
	
	
	
	
	
<?php	
	if(isset($_GET['d']) && $_GET['d']=="s") {
?>	
	<form>

		<input type="hidden" name="path" value="<?=$_GET['path']?>">

		<label>Projektliste</label>
		<p style="margin: 16px 0;">Wählen Sie die Ziel-Projekte aus.</p>

		<p style="margin: 24px;">
			<input type="checkbox" id="overwrite" name="overwrite" value="overwrite" style="display: inline-block;"> 
			<label for="overwrite" style="display: inline-block;">Existierende Dateien überschreiben!!!</label>
		</p>
		
<?php
		$access = true;
		if(file_exists('../../data/' . $_SESSION['user'] . '_acl.php')) {
			$access =false;
?>
			<div style="margin:50px;">Sie haben keine Berechtigung, Ordner zu teilen.</div>
<?php
		} else {

		$projects = getJSON('projects.php');
				
			if(sizeof($projects) > 0){

				asort($projects);

				echo "<table>";
				foreach($projects as $project => $data){
					if(file_exists('../../workspace/' . $data['name'])) {
						echo "<tr>";
						echo "<td>" . $data['name'] . "</td>";
						echo "<td><input type='checkbox'></td>";
						echo "</tr>";
					}
				}
				echo "</table>";
			} else {
				$access = false;
?>				
				<div style="margin:50px;">Keine Projekte gefunden.</div>
<?php				
			}
		}
?>			

		
<?php if($access) { ?>			
		<button class="btn-left">Share</button>
<?php } ?>			
		
		<button onclick="codiad.modal.unload(); return false;">Close</button>

	</form>

	<?php } ?>	