<?php
/*
 * Copyright (c) Codiad, Thomas Perschke, distributed
 * as-is and without warranty under the MIT License. 
 * See http://opensource.org/licenses/MIT for more information.
 * This information must remain intact.
 */

    function getTheWorkspacePath($path, $error='Invalid path: '){
        if (strpos($path, "/") === 0) {
            //Unix absolute path
            return $path;
        }
        if (strpos($path, ":/") !== false) {
            //Windows absolute path
            return $path;
        }
        if (strpos($path, ":\\") !== false) {
            //Windows absolute path
            return $path;
        }
		
        return WORKSPACE . "/" . $path;
    }


	function recurse_copy($src,$dst,$overwrite) { 
		$dir = opendir($src); 
		while(false !== ( $file = readdir($dir)) ) { 
			if (( $file != '.' ) && ( $file != '..' )) { 
				if ( is_dir($src . '/' . $file) ) { 
					recurse_copy($src . '/' . $file, $dst . '/' . $file, $overwrite); 
				} 
				else { 
					if($overwrite || !file_exists($dst . '/' . $file)) {
						mkdir($dst, 0777, true);
						copy($src . '/' . $file,$dst . '/' . $file); 
					}
				} 
			} 
		} 
		closedir($dir); 
	}
	
?>